Results 1 to 3 of 3
  1. #1
    Join Date
    Nov 2005
    Posts
    76

    APC - troubles installing

    I am trying to install APC on my server and getting the following error:
    [[email protected] ~]# pecl install apc
    downloading APC-3.0.18.tgz ...
    Starting to download APC-3.0.18.tgz (115,957 bytes)
    .........................done: 115,957 bytes
    47 source files, building
    running: phpize
    Configuring for:
    PHP Api Version: 20041225
    Zend Module Api No: 20060613
    Zend Extension Api No: 220060519
    ERROR: `phpize' failed
    Why am I getting that error?


    FYI, if this might help:

    Php version:
    PHP 5.2.5 (cli) (built: Dec 12 2007 11:48:35)
    Copyright (c) 1997-2007 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
    MySQL version:
    mysql Ver 14.12 Distrib 5.0.24a, for redhat-linux-gnu (i686) using readline 5.0
    I am running CentOS 4.4-32

  2. #2
    Join Date
    Oct 2004
    Location
    Kerala, India
    Posts
    4,750
    Try below.

    cd /usr/src
    wget http://pecl.php.net/get/APC-3.0.18.tgz
    tar -zxf APC-3.0.18.tgz
    phpize
    ./configure
    make
    make install

    In php.ini add an extension=extname.so
    David | www.cliffsupport.com
    Affordable Server Management Solutions sales AT cliffsupport DOT com
    CliffWebManager | Access WHM from iPhone and Android

  3. #3
    Join Date
    Nov 2005
    Posts
    76
    david510: it worked! you are genius! thank you so much!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •